# vim: set sw=4 ts=4 et:
# Copyright (c) 2006-2007 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de


Name:           ttaenc
Summary:        True Audio lossless wav compressor
Version:        3.4.1
Release:        0.pm.1.1
License:        GPL
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://tta.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/tta/ttaenc-%{version}-src.tgz
BuildRoot:      %{_tmppath}/build-root-%{name}

%description
TTA performs lossless compression on multichannel 8,16 and 24 bits
data of the Wav audio files. Being 'lossless' means that no data-
quality is lost in the compression - when uncompressed, the data
will be identical to the original. The compression ratios of TTA
depend on the type of music file being compressed, but the
compression size will generally range between 30% - 70% of the
original.

TTA is a hardware-oriented format. It means that the TTA format
has a reasonable compression level, but WAS NOT developed to
show a top results in comparisons. TTA format supports both of
ID3v1/v2 tags. Detailed format description is available at
http://tta.sourceforge.net

%prep
%setup -q -n %{name}-%{version}-src

%build
%ifnarch %ix86 x86_64
%__sed -i -e "s/-msse/ /g" Makefile
%endif
%__make

%install
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 %{name} \
    %{buildroot}%{_bindir}

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog* README
%{_bindir}/%{name}

%changelog
* Sun Aug 12 2007 toni@links2linux.de
- update to 3.4.1
* Mon Feb 26 2007 toni@links2linux.de
- added %%defattr(-,root,root)
* Tue Oct 17 2006 toni@links2linux.de
- initial version 3.3
